Bug 244832 - [RHTS] The metadata allows you to add in NeedsProperty options but they are ignored.
[RHTS] The metadata allows you to add in NeedsProperty options but they are i...
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
: Reopened
: 577177 (view as bug list)
Depends On:
Blocks: 545868
  Show dependency treegraph
Reported: 2007-06-19 08:49 EDT by Jeff Burke
Modified: 2012-10-03 01:24 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-03 01:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2007-06-19 08:49:39 EDT
Description of problem:
 If you add in  @echo "NeedProperty:    MEMORY >= 2048" >> $(METADATA)
It is ignored by the scheduler. An example of this is the
/local_data/sandbox/KERNEL/kernel-tests/drivers/buildcheck test.
Comment 1 Bill Peck 2010-03-29 13:15:46 EDT
*** Bug 577177 has been marked as a duplicate of this bug. ***
Comment 2 Bill Peck 2010-04-07 08:36:31 EDT

Legacy RHTS is soon to be retired and replaced by Beaker. As part of
this migration process all RHTS bugs need to be re-verified against a
Beaker instance by the cut-off date

   5pm Monday April 12th UTC-4. 

Please confirm this bug is still relevant to Beaker by re-verifying it
against the stage deployment of Beaker https://beaker-stage.app.eng.bos.redhat.com.

To keep this bug open please comment on it

If it has not received a comment by that date the bug will be closed/wontfix.

After the cutoff date all commented bugs will be moved to the Beaker

thank you
Comment 3 Bill Peck 2010-04-14 10:51:04 EDT
The RHTS product is going away.  If any of these bugs still apply to the new Beaker system which is replacing RHTS then please open a new bug with Beaker as the component.

Comment 4 Jan Hutař 2010-04-22 00:11:11 EDT
Please consider this bug for fixing.
Comment 6 Bill Peck 2012-03-19 08:13:31 EDT
We believe test management should be done outside of beaker, most likely in TCMS or some other tool. 

If you disagree you are welcome to discuss the issue in the stake holder meetings.

Note You need to log in before you can comment on or make changes to this bug.